﻿$packageName = 'qgis' 
$installerType = 'exe' 
$version = '2.14.3'
$url = "http://qgis.org/downloads/QGIS-OSGeo4W-${version}-1-Setup-x86.exe"
$url64 = "http://qgis.org/downloads/QGIS-OSGeo4W-${version}-1-Setup-x86_64.exe" 
$silentArgs = '/S' 
$validExitCodes = @(0) 

#Remove Old Versions in Default Directory
if (Test-Path "${env:programfiles}\QGIS*\Uninstall-QGIS.exe") {
    Get-ChildItem "${env:programfiles}\QGIS*" -Recurse -Filter 'Uninstall-QGIS.exe' | % {
        Write-Host "Found $($_.Directory.ToString().Split('\')[-1]). Uninstalling..."
        Uninstall-ChocolateyPackage $packageName $installerType '/S' $_.FullName
    }
    Write-Host "Sleeping for 30 seconds to wait for uninstaller"
    Start-Sleep 30
}

if (Test-Path "${env:programfiles}\QGIS Essen") {
    Write-Host "Found leftover install directory. Deleting."
    Remove-Item -Path "${env:programfiles}\QGIS Essen" -Recurse
}

#Fix bug with QGIS thinking Essen is still installed
if (Test-Path "HKLM:\Software\QGIS Essen") {
    Write-Host "Found leftover registry keys. Deleting."
    Remove-Item -Path "HKLM:\Software\QGIS Essen" -Recurse
}

if (Test-Path "${env:public}\Desktop\QGIS Essen") {
    Write-Host "Found leftover shortcuts. Deleting."
    Remove-Item -Path "${env:public}\Desktop\QGIS Essen" -Recurse
}

if (Test-Path "${env:public}\Desktop\OSGeo4W Shell.lnk") {
    Write-Host "Found leftover OSGeo4W Shortcut. Deleting."
    Remove-Item -Path "${env:public}\Desktop\OSGeo4W Shell.lnk"
}

if (Test-Path "${env:public}\Desktop\GRASS GIS*.lnk") {
    Write-Host "Found leftover GRASS GIS Shortcut. Deleting."
    Remove-Item -Path "${env:public}\Desktop\GRASS GIS*.lnk"
}

Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64"  -validExitCodes $validExitCodes
