﻿$packageName = 'qgis' 
$installerType = 'exe' 

if (Test-Path "${env:programfiles}\QGIS Essen\Uninstall-QGIS.exe") {
    Uninstall-ChocolateyPackage $packageName $installerType "/S" "${env:programfiles}\QGIS Essen\Uninstall-QGIS.exe"
    Write-Host "Sleeping for 30 seconds to wait for uninstaller"
    Start-Sleep 30
}

if (Test-Path "${env:programfiles}\QGIS Essen") {
    Write-Host "Found leftover install directory. Deleting."
    Remove-Item -Path "${env:programfiles}\QGIS Essen" -Recurse
}

#Fix bug with QGIS thinking Essen is still installed
if (Test-Path "HKLM:\Software\QGIS Essen") {
    Write-Host "Found leftover registry keys. Deleting."
    Remove-Item -Path "HKLM:\Software\QGIS Essen" -Recurse
}

if (Test-Path "${env:public}\Desktop\QGIS Essen") {
    Write-Host "Found leftover shortcuts. Deleting."
    Remove-Item -Path "${env:public}\Desktop\QGIS Essen" -Recurse
}

if (Test-Path "${env:public}\Desktop\OSGeo4W Shell.lnk") {
    Write-Host "Found leftover OSGeo4W Shortcut. Deleting."
    Remove-Item -Path "${env:public}\Desktop\OSGeo4W Shell.lnk"
}

if (Test-Path "${env:public}\Desktop\GRASS GIS*.lnk") {
    Write-Host "Found leftover GRASS GIS Shortcut. Deleting."
    Remove-Item -Path "${env:public}\Desktop\GRASS GIS*.lnk"
}